Linked Questions

Popular Questions

import java.awt.*;
import java.applet.*;

/* <applet code="Demonstration_21" width=300 height=300> </applet> */
public class Demonstration_21 extends Applet{

    public void paint(Graphics g){
    g.drawString("Welcome",150,150);
    }
}

I have written this code to run an applet program but whenever I compile it gives some warning as:

  1. Demonstration_21.java uses or overrides a deprecated API
  2. Recompile with Xlint:deprecation for details.

And whenever I run this code it gives error as:

Demonstration_21 has been compiled by a more recent version of Java
Runtime(class file version 55.0),this version of Java Runtime only 
recognizes class file versions up to 52.0

My appletviewer is not initialized.

Related Questions